#!/bin/sh

INFILES="include/lcfg/lcfg_string.h include/lcfg/lcfg_token.h include/lcfg/lcfg_scanner.h include/lcfg/lcfg_parser.h include/lcfgx/lcfgx_tree.h src/lcfg_string.c src/lcfg_token.c src/lcfg_scanner.c src/lcfg_parser.c src/lcfg.c src/lcfgx_tree.c"

HFILE="lcfg_static.h"
CFILE="lcfg_static.c"

echo "/* This file is an autogenerated single-file version of liblcfg." > $CFILE
echo " * It is recommended that you update this file on a regular" >> $CFILE
echo " * basis from the original liblcfg distribution package." >> $CFILE
echo " *" >> $CFILE
echo " * The most recent version of liblcfg is available at" >> $CFILE
echo " *   <http://liblcfg.carnivore.it>" >> $CFILE
echo " */" >> $CFILE

cp $CFILE $HFILE

cat include/lcfg/lcfg.h include/lcfgx/lcfgx_tree.h | grep -v "^#include <lcfg" >> $HFILE

# gather all system-includes
grep -h "^#include <" $INFILES | sort | uniq | grep -v "^#include <lcfg" >> $CFILE

echo "#include \"${HFILE}\"" >> $CFILE

for i in $INFILES
do
	echo "/*** begin file $i ***/" >> $CFILE
	grep -v "^#include" $i >> $CFILE
	echo "/*** end file $i ***/" >> $CFILE
done
